package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class MessageAttachment {
    private Long id;

    private Long staffId;

    private Integer type;

    private String url;

    private String picUrl;

    private String title;

    private String desc;

    private String mediaId;

    private String appid;

    private String page;

    private String cover;

    private Long miniprogramVideoId;

    private Integer isDelete;

    private Date sendTime;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public Long getMiniprogramVideoId() {
        return miniprogramVideoId;
    }

    public void setMiniprogramVideoId(Long miniprogramVideoId) {
        this.miniprogramVideoId = miniprogramVideoId;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", staffId=").append(staffId);
        sb.append(", type=").append(type);
        sb.append(", url=").append(url);
        sb.append(", picUrl=").append(picUrl);
        sb.append(", title=").append(title);
        sb.append(", desc=").append(desc);
        sb.append(", mediaId=").append(mediaId);
        sb.append(", appid=").append(appid);
        sb.append(", page=").append(page);
        sb.append(", cover=").append(cover);
        sb.append(", miniprogramVideoId=").append(miniprogramVideoId);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", sendTime=").append(sendTime);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}